Loading...
Searching...
No Matches
chrono.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <chrono> More...

`#include <chrono>`

Go to the source code of this file.

## Functions

template<class Archive , class R , class P >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::chrono::duration< R, P > const &dur)
| Saving std::chrono::duration.
template<class Archive , class R , class P >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::chrono::duration< R, P > &dur)
| Loading std::chrono::duration.
template<class Archive , class C , class D >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::chrono::time_point< C, D > const &dur)
| Saving std::chrono::time_point.
template<class Archive , class C , class D >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::chrono::time_point< C, D > &dur)
| Loading std::chrono::time_point.

## Detailed Description

Support for types found in <chrono>